<!doctype html>
<!--[if lt IE 9]> <html class="ie_fix" lang="en"> <![endif]-->
<!--[if gt IE 9]><!--> <html lang="en"> <!--<![endif]-->
<!--<html lang="en">-->
    <head>
        <meta charset="utf-8">

        <title>Qt Documentation Archives</title>

        <meta name="description" content="Online Reference Documentation">
        <meta name="viewport" content="width=device-width; initial-scale=1.0">

        <style>
            /* http://meyerweb.com/eric/tools/css/reset/
               v2.0 | 20110126
               License: none (public domain)
            */

            html, body, div, span, applet, object, iframe,
            h1, h2, h3, h4, h5, h6, p, blockquote, pre,
            a, abbr, acronym, address, big, cite, code,
            del, dfn, em, img, ins, kbd, q, s, samp,
            small, strike, strong, sub, sup, tt, var,
            b, u, i, center,
            dl, dt, dd, ul, li,
            fieldset, form, label, legend,
            table, caption, tbody, tfoot, thead, tr, th, td,
            article, aside, canvas, details, embed,
            figure, figcaption, footer, header, hgroup,
            menu, nav, output, ruby, section, summary,
            time, mark, audio, video {
                margin: 0;
                border: 0;
                font-size: 100%;
                font: inherit;
                vertical-align: baseline;
            }
            body {
            font: normal 400 14px/1.2 Arial;
            font-family: Arial, Helvetica;
            color:#313131;
            text-align:justify;
            margin-left:5px;
            margin-right:5px;
            background: none repeat scroll 0% 0% rgb(230,231,232);
            }
            ol, ul {
                list-style: none;
            }
            blockquote, q {
                quotes: none;
            }
            blockquote:before, blockquote:after,
            q:before, q:after {
                content: '';
                content: none;
            }
            table {
                border-collapse: collapse;
                border-spacing: 0;
            }
            a {
                color: #00732F;
                text-decoration: none;
                font-weight: normal;
            }
            a:hover {
                color: #4c0033;
                text-decoration: underline;
            }
            h2 small {
                display: block;
                font-size: 12px;
                color: #444;
                white-space: nowrap;
                text-overflow: ellipsis;
                font-weight: normal;
            }

            @media (min-width: 1100px) {
                header {
                    padding: 15px 30px;
                    min-height: 70px;
                }
                header img {
                    position: absolute;
                    left: 30px;
                }
                header h1 {
                    line-height: 70px;
                    font-size: 30px;
                }
                .content {
                    padding: 30px;
                }
                .nav {
                    position: absolute;
                    top: 10px;
                    right: 30px;
                }
            }
            @media (max-width: 1100px) {
                header {
                    padding: 15px 30px;
                }
                header img {
                    display: block;
                    margin: 20px auto;
                }
                header h1 {
                    line-height: auto;
                    font-size: 30px;
                }
            }
            @media (min-width: 650px) {
                /* **************** GRIDS ***************** */
                .line:after{content: ".";display: block;height: 0;clear: both;visibility: hidden;}
                .lastUnit:after{content: " . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . ";visibility:hidden; clear:both;height:0 !important;display:block;line-height:0;}
                .line{*zoom:1;}
                .unit{float:left;}
                .size1of1{float:none;}
                .size1of2{width:50%;}
                .size1of3{width:33.33333%;}
                .size2of3{width:66.66666%;}
                .size1of4{width:25%;}
                .size3of4{width:75%;}
                .size1of5{width:20%;}
                .size2of5{width:40%;}
                .size3of5{width:60%;}
                .size4of5{width:80%;}
                .lastUnit {display: table-cell; *display:block;*zoom:1;float:none;_position:relative; _left:-3px; _margin-right: -3px;width:auto;}


                .section_2 .wrap {
                    border-left: 1px solid #E6E7E8;
                    border-right: 1px solid #E6E7E8;
                }
               /*
            -----------
            main content
            -----------
            */
            .line{
            text-align: left;
            background: none repeat scroll 0% 0% rgb(255,255,255);
            border-radius: 10px 10px 10px 10px;
            padding-left: 14px;
            padding-right: 14px;
            box-shadow: 0px 0px 10px rgba(0,0,0,0.1);
            margin-top: 10px;
            padding-bottom: 35px;
            }
                .content {
                    padding: 30px;
                }
            }
            @media (max-width: 830px) {
                .content {
                    padding: 15px 10px;
                }
                h2 small {
                    font-size: 11px;
                }
            }
            @media (max-width: 750px) {
                h2 small {
                    font-size: 10px;
                }
                .content {
                    padding: 15px 8px;
                }
            }
            @media (max-width: 650px) {
                .section_1,
                .section_2,
                .section_3 {
                    width: 100%;
                }
                .section_1 h2,
                .section_2 h2,
                .section_3 h2 {
                    width: 100%;
                    border-top: 1px solid #D1D1D1;
                }
                .content {
                    padding: 0;
                }
                h2 small {
                    font-size: 12px;
                }
            }
            header {
                background: #fff;
                -webkit-box-shadow: 0 0 10px rgba(0, 0, 0, .1);
                -moz-box-shadow: 0 0 10px rgba(0, 0, 0, .1);
                box-shadow: 0 0 10px rgba(0, 0, 0, .1);
                text-align: center;
            }
            .line {
                background: #fff;
                -webkit-box-shadow: 0 0 10px rgba(0, 0, 0, .1);
                -moz-box-shadow: 0 0 10px rgba(0, 0, 0, .1);
                box-shadow: 0 0 10px rgba(0, 0, 0, .1);
            }
            .section_1 h2,
            .section_2 h2,
            .section_3 h2 {
                min-width: 200px;
                overflow: hidden;
                background: #FAFAFA;
                border-bottom: 1px solid #D1D1D1;
                text-align: center;
                padding: 7px;
                font-size: 18px;
                font-weight: bold;
            }
            .info_text {
                font-size: 12px;
                text-align: center;
                padding: 5px;
            }
            .wrap ul {
                margin-top: 10px;
                margin-left: 10px;
            }
            li {
            margin-bottom: 10px;
            padding-left: 8px;
            list-style:outside;
            list-style-type:square;
            text-align:left;
            }
            li a:before {
                content: ".";
                display: inline-block;
                *display: inline;
                text-indent: -999em;
                height: 10px;
                width: 7px;
                position: relative;
                top: -1px;
                overflow: hidden;
                /*background: #59af2c;*/
            }
            h5 {
                margin: 15px 0 15px 3px;
            }
            .copyright-wrapper {
                font-size: 10px;
                color: #555;
                text-align: center;
                margin-top: 20px;
                padding: 5px;
                line-height: 1.5;
            }
            .footer_line {
                font-size: 12px;
                text-align: center;
                margin-top: 20px;
            }
            .wrap {
                padding: 6px 15px 20px;
            }
            .nav a {
                color: #B0ADAB;
                font: 14px Arial, Verdana, sans-serif;
                margin-right: 15px;
            }
            .nav a:last-child {
                margin-right: 0;
            }
            .nav a:hover,
            .nav a.active {
                color: #00732F;
                text-decoration: none;
            }

            .nav{
            text-align:right;
            margin-right:9px;
            }
            .nav img{
                box-shadow: none;
            }
            .nav-main{
            margin-top:22px;
            margin-left: 20px;
            text-align:left
            }
            .nav-main-content{
            font-weight:bold;
            margin-right: 20px;
            display:inline-block;
            }
            .nav-subtitle{
            margin-left: 220px;
            }
            .header{
            height:1px;
            padding:0px;
            margin:0px;
            }

            header{
            background: none repeat scroll 0% 0% rgb(255,255,255);
            border-radius: 10px 10px 10px 10px;
            padding: 10px;
            box-shadow: 0px 0px 10px rgba(0,0,0,0.1);
            }

            header h1{
            display:block;
            line-height: 70px;
            font-size: 30px;
            margin-left: 223px;
            }
            header img{
            box-shadow: none;
            border: 0;
            position: absolute;
            left: 30px;
            }
            .warning {
            font: 500 16px/1.2 Arial;
            font-weight:100;
            text-align: center;
            background-color:#fce9f4;
            padding:14px;
            padding-left:14px;
            margin-bottom:20px;
            margin-top:30px;
            margin-left:-10px;
            margin-right:-5px;
            border-top:#E0E0DE 1px solid;
            border-bottom: #E0E0DE 1px solid;
            max-width: 99%;
            }

            h2, p.h2 {
            font: 500 16px/1.2 Arial;
            font-weight:100;
            background-color:#F2F3F4;
            padding:4px;
            padding-left:14px;
            margin-bottom:30px;
            margin-top:30px;
            margin-left:-10px;
            margin-right:-5px;
            border-top:#E0E0DE 1px solid;
            border-bottom: #E0E0DE 1px solid;
            max-width: 99%;
            overflow: hidden;
            }
        </style>

        <script type="text/javascript">
            /* html5 fix for ie6-8 */
            'article aside footer header nav section time'.replace(/\w+/g,function(n){document.createElement(n)});
        </script>

        <script type=text/javascript>

          var _gaq = _gaq || [];
          _gaq.push(['_setAccount', 'UA-35526570-1']);
          _gaq.push(['_trackPageview']);

          (function() {
            var ga = document.createElement('script'); ga.type = 'text/javascript'; ga.async = true;
            ga.src = ('https:' == document.location.protocol ? 'https://ssl' : 'http://www') + '.google-analytics.com/ga.js';
            var s = document.getElementsByTagName('script')[0]; s.parentNode.insertBefore(ga, s);
          })();

        </script>

    </head>

    <body>
        <header>
        <div class="nav">
            <a href="http://qt-project.org/">Qt Home</a>
            <a href="https://bugreports.qt-project.org/">Bug Tracker</a>
            <a href="https://codereview.qt-project.org/">Code Review</a>
        </div>
        <a href="http://qt-project.org/">
            <img src="http://doc-snapshot.qt-project.org/images/logo.png" alt="Qt"></img>
        </a>
       <div class="nav-title">
        <h1 >Qt Documentation Archives</h1>
           <div class="nav-subtitle">
           --archives of Qt documentation provided by Digia
           </div>
       </div>
        <div class="nav-main">
        <div class="warning">For the latest <a href="http://qt-project.org">Qt Project</a>
        documentation, visit the
        <a href="http://doc-snapshot.qt-project.org">Snapshots</a> and
        <a href="http://qt-project.org/doc">Qt Releases</a> pages.
        </div>
            <div class="nav-main-content">
                <a href="http://doc-snapshot.qt-project.org">Snapshots</a>
            </div>
            <div class="nav-main-content">
                <a href="http://qt-project.org/doc">Qt Releases</a>
            </div>
            <div class="nav-main-content">
                <a href="http://doc.qt.digia.com">Archives</a>
            </div>
        </div>
    </header>
        <section class="content">
            <div class="line">
                <div class="unit size1of3 section_1">
                    <h2>Qt <small>C++ Application Development Framework</small></h2>
                    <div class="wrap">

                    <h5>Latest Qt documentation (4.7 and later)</h5>
                    <ul>
                        <li><a href="http://qt-project.org/doc">Qt Releases</a></li>
                        <li><a href="http://doc-snapshot.qt-project.org">Snapshots</a></li>
                    </ul>

                    <h5>Qt 4.6 and earlier</h5>
                    <ul>
                    <li>
                    <a href="4.6/index.html">
                    Qt 4.6 / Qt Embedded 4.6</a>
                    </li>
                    <li>
                    <a href="4.5/index.html">
                    Qt 4.5 / Qt Embedded 4.5</a>
                    </li>
                    <li>
                    <a href="4.4/index.html">
                    Qt 4.4 / Qt Embedded 4.4</a>
                    </li>
                    <li>
                    <a href="4.3/index.html">
                    Qt 4.3 / Qtopia Core 4.3</a>
                    </li>
                    <li>
                    <a href="4.2/index.html">
                    Qt 4.2 / Qtopia Core 4.2</a></li>
                    <li>
                    <a href="4.1/index.html">
                    Qt 4.1 / Qtopia Core 4.1</a></li>
                    <li>
                    <a href="4.0/index.html">
                    Qt 4.0</a></li>
                    <li>
                    <a href="3.3/index.html">
                    Qt 3.3</a> &middot; <a href="qt3/platforms.html">Platforms</a>
                    &middot; <a href="qt3/compilers.html">Compilers</a></li>
                    <li>
                    <a href="3.2/index.html">
                    Qt 3.2</a></li>
                    <li>
                    <a href="3.1/index.html">
                    Qt 3.1</a></li>
                    <li>
                    <a href="3.0/index.html">
                    Qt 3.0</a></li>
                    <li>
                    <a href="2.3/index.html">
                    Qt 2.3</a></li>
                    </ul>
                    </div>
                </div>
                <div class="unit size1of3 section_2">
                    <h2>Tools<small>Tools for Qt Development</small></h2>
                    <div class="wrap">

                    <h5>The latest Qt Creator documentation is found in the
                    Qt Releases page.</h5>
                    <h5>Qt SDK</h5>
                        <ul>
                            <li><a href="sdk-1.2/index.html">Qt SDK 1.2</a></li>
                            <li><a href="sdk-1.1/index.html">Qt SDK 1.1</a></li>
                        </ul>
                     <h5>Qt Creator</h5>
                    <ul>
                    <li><a href="qtcreator-2.5/index.html">
                    Qt Creator 2.5
                    <li><a href="qtcreator-extending/index.html">
                    Extending Qt Creator (Draft)
                    </a></li>
                    </ul>
                    <h5>Qt Simulator</h5>
                    <ul>
                    <li><a href="qt-simulator-1.2/index.html">
                    Qt Simulator 1.2
                    </a></li>
                    </ul>
                    <h5>Qt Visual Studio Add-in</h5>
                    <ul>
                    <li>
                    <a href="vs-add-in-1.1.7/index.html">
                    Qt Visual Studio Add-in 1.1.7</a></li>
                    </ul>
                    <h5>Qt Eclipse Integration</h5>
                    <ul>
                    <li>
                    <a href="qt-eclipse-1.6/index.html">
                    Qt Eclipse Integration 1.6.0</a></li>
                    </ul>
                    </div>
                </div>
                <div class="unit size1of3 section_3">
                    <h2>Addons <small>Tools for Qt Development</small></h2>
                    <div class="wrap">
                        <h5>Qt Solutions</h5>
                        <ul>
                        <li>
                        <a href="http://qt.nokia.com/products/appdev/add-on-products/catalog/4">
                        Solutions for Qt 4</a></li>
                        <li>
                        <a href="http://qt.nokia.com/products/appdev/add-on-products/catalog/3">
                        Solutions for Qt 3</a></li>
                        </ul>
                        <h5>Teambuilder</h5>
                        <ul>
                        <li>
                        <a href="teambuilder1p3/teambuilder-manual.html">
                        Teambuilder 1.3</a></li>
                        <li>
                        <a href="teambuilder1p2/teambuilder-manual.html">
                        Teambuilder 1.2</a></li>
                        <li>
                        <a href="teambuilder/teambuilder-manual.html">
                        Teambuilder 1.0</a></li>
                        </ul>
                        <h5>Qt Mobility Project</h5>
                        <ul>
                        <li><a href="qtmobility-1.2/index.html">Version 1.2</a></li>
                        <li><a href="qtmobility-1.1/index.html">Version 1.1</a></li>
                        <li><a href="qtmobility-1.0/index.html">Version 1.0</a></li>
                        </ul>
                        <h5>Qt for Maemo</h5>
                        <ul>
                        <li>
                        <a href="qt-maemo-4.7/index.html">
                        Qt 4.7 for Maemo</a></li>
                        <li>
                        <a href="qt-maemo-4.6/index.html">
                        Qt 4.6 for Maemo</a></li>
                        </ul>
                        <h5>Nokia Smart Installer for Symbian</h5>
                        <ul>
                        <li>
                        <a href="smart-installer-1.1/index.html">
                        Version 1.1</a></li>
                        </ul>
                        <h5>Qt Quick Components</h5>
                        <ul>
                        <li>
                        <a href="qtquick-components-symbian-1.1/index.html">
                        Qt Quick Components for Symbian 1.1</a></li>
                        <li>
                        <a href="qtquick-components-symbian-1.0/index.html">
                        Qt Quick Components for Symbian 1.0</a></li>
                        </ul>
                    </div>
                </div>
                <div class="unit size1of3 section_1">
                    <h2>Qt Extended <small>Application Platform and User Interface for Embedded Linux</small></h2>
                    <div class="wrap">
                        <h5>This product has been discontinued and is no longer supported by Digia.</h5>
                        <ul>
                        <li><a href="qtextended4.4/">Qt Extended 4.4</a></li>
                        <li><a href="qtopia4.3/index.html">Qtopia 4.3</a></li>
                        <li><a href="qtopia4.2/index.html">Qtopia 4.2</a></li>
                        <li><a href="qtopia4.1/index.html">Qtopia 4.1</a></li>
                        <li><a href="qtopia2.2/html/index.html">Qtopia 2.2</a></li>
                        <li><a href="qtopia2.1/html/index.html">Qtopia 2.1</a></li>
                        <li><a href="qtopia2.0/html/index.html">Qtopia 2.0</a></li>
                        <li><a href="qtopia1.7/index.html">Qtopia 1.7</a></li>
                        <li><a href="qtopia1.6/index.html">Qtopia 1.6</a></li>
                        </ul>
                      </div>
                </div>
                <div class="unit size1of3 section_2">
                    <h2>Languages <small>Language Support for Qt</small></h2>
                    <div class="wrap">
                        <h5>Qt Jambi - Qt for Java Development:</h5>
                        <ul>
                          <li><a href="qtjambi-4.5.2_01/com/trolltech/qt/qtjambi-index.html">Qt Jambi 4.5.2_01</a></li>
                          <li><a href="qtjambi-4.5.0_01/com/trolltech/qt/qtjambi-index.html">Qt Jambi 4.5.0_01</a></li>
                          <li><a href="qtjambi-4.4/html/com/trolltech/qt/qtjambi-index.html">Qt Jambi 4.4.3_01</a></li>
                          <li><a href="qtjambi-4.3.5_01/com/trolltech/qt/qtjambi-index.html">Qt Jambi 4.3.5_01</a></li>
                        </ul>
                        <h5>QSA - Qt Script for Applications:</h5>
                        <ul>
                            <li><a href="qsa-1.2.2/index.html">QSA 1.2</a></li>
                            <li><a href="qsa-1.1.5/index.html">QSA 1.1</a></li>
                            <li><a href="qsa-1.0.1/index.html">QSA 1.0</a></li>
                        </ul>
                    </div>
                </div>
                <div class="unit size1of3 section_3">
                    <h2>Qt Quarterly <small>Qt Developers Newsletters</small></h2>
                    <div class="wrap">
                        <ul>
                        <li>
                        <a href="qq/index.html">Online Articles</a></li>
                        </ul>
                    </div>
                </div>
            </div>
            <div class="copyright-wrapper">
                <p>&copy; 2013 Digia Plc and/or its subsidiaries. Digia Plc, Qt and their respective logos are trademarks of Digia Plc in Finland and/or other countries worldwide. All other trademarks are property of their respective owners.
            </div>
        </section>
    </body>
</html>
